%global oname oauth
Name:                java-oauth
Version:             20100601
Release:             1
Summary:             An open protocol to allow API authentication
License:             ASL 2.0
Url:                 https://oauth.net/code/java/
#wget https://storage.googleapis.com/google-code-archive-source/v2/code.google.com/oauth/source-archive.zip
#unzip source-archive.zip
#mv oauth/code/java oauth-20100601
#find oauth/code/java "*.bat" -delete
#find oauth/code/java "*.jar" -delete
#tar cvf oauth-20100601-clean-src-svn.tar.gz oauth-20100601
Source0:             oauth-20100601-clean-src-svn.tar.gz
BuildRequires:       maven-local mvn(commons-httpclient:commons-httpclient)
BuildRequires:       mvn(javax.servlet:javax.servlet-api) mvn(org.apache.httpcomponents:httpclient)
BuildArch:           noarch
%description
An open protocol to allow API authentication
in a simple and standard method from desktop and
web applications.

%package javadoc
Summary:             Javadoc for %{name}
Provides:            %{name}-javadoc = %{version}-%{release}
Obsoletes:           %{name}-javadoc < %{version}-%{release}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-%{version}
%pom_remove_plugin :maven-source-plugin
%pom_disable_module core-old
%pom_disable_module example
%pom_disable_module test core
%pom_remove_dep org.mortbay.jetty: core/httpclient4
%pom_remove_dep org.mortbay.jetty: core/test
%pom_xpath_set "pom:dependency[pom:groupId = 'javax.servlet']/pom:version" 3.1.0 core/provider
%pom_xpath_set "pom:dependency[pom:groupId = 'javax.servlet']/pom:artifactId" javax.servlet-api core/provider
%mvn_file :%{oname} %{oname}/%{oname}
%mvn_file :%{oname}-consumer %{oname}/%{oname}-consumer
%mvn_file :%{oname}-httpclient3 %{oname}/%{oname}-httpclient3
%mvn_file :%{oname}-httpclient4 %{oname}/%{oname}-httpclient4
%mvn_file :%{oname}-provider %{oname}/%{oname}-provider

%build
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Fri Sep 4 2020 Ge Wang <wangge20@huawei.com> - 20100601-1
- Package init
